PEGASUS-ARCHIVE(1)

NAME
pegasus-archive - Compresses a workflow submit directory in a way that allows pegasus-dashboard, pegasus-statistics, pegasus-plots, and pegasus-analyzer to keep working.

SYNOPSIS

pegasus-archive [-h][-v][-x] submit_dir

DESCRIPTION

pegasus-archive significantly reduces the size of workflow submit directories by compressing the data in a way such that it remains accessible to tools such as pegasus-statistics, pegasus-plots, and pegasus-analyzer. It creates a .tar.gz archive of the submit files and logs that excludes files such as the stampede database, braindump file, and monitord logs, which are used by pegasus reporting tools.

OPTIONS

-h, --help
    Prints a usage summary with all the available command-line options.

-v, --verbose
    Print detailed messages about the archiving process.

-x, --extract
    Un-archive a previously archived submit directory. This option returns the submit directory to the state it was before pegasus-archive was applied to it.

AUTHORS

Gideon Juve <gideon@isi.edu[1]>

Pegasus Team http://pegasus.isi.edu

NOTES

1.  gideon@isi.edu
    mailto:gideon@isi.edu